package connect

import (
	"reflect"
	"strings"
	"testing"
)

var cfg1 = `---
insecure: false
url: https://smt-azure.susecloud.net
language: en_US.UTF-8
no_zypper_refs: true`

var cfg2 = `---
 insecure: true
url :	http://example.com
 language : en_US.UTF-8
# comment
  # indented comment
  # comment with: colon
:
badkey: badval

`

func TestParseConfig(t *testing.T) {
	r := strings.NewReader(cfg1)
	expect := Config{BaseURL: "https://smt-azure.susecloud.net", Language: "en_US.UTF-8", NoZypperRefresh: true}
	c := Config{}
	parseConfig(r, &c)
	if !reflect.DeepEqual(c, expect) {
		t.Errorf("got %+v, expected %+v", c, expect)
	}
}

func TestParseConfig2(t *testing.T) {
	r := strings.NewReader(cfg2)
	expect := Config{BaseURL: "http://example.com", Language: "en_US.UTF-8", Insecure: true}
	c := Config{}
	parseConfig(r, &c)
	if !reflect.DeepEqual(c, expect) {
		t.Errorf("got %+v, expected %+v", c, expect)
	}
}
